//会员登录验证
function LoginChk()   
{
var mobile=document.getElementById("mobile").value;
var userpassword=document.getElementById("userpassword").value;
 
 if(mobile == null || mobile == ""){
  alert('请输入手机号!');
  return false;
 }
 
 if(userpassword == null || userpassword == ""){
  alert('请输入密码!');
  return false;
 }     
}

//手机号或验证
function istel(s) {
var patrn = /(^0{0,1}1[3|4|5|6|7|8|9][0-9]{9}$)/; 
if (!patrn.exec(s)) 
{ 
alert("请输入正确的手机号码！"); 
} return true; 
}

//会员注册验证
function user_name(s) {
var patrn = /(^[a-zA-Z0-9_\u4e00-\u9fa5]+$)/; 
if (!patrn.exec(s)) 
{ 
alert("用户名不能包含特殊字符，请输入汉字或数字！");
document.getElementById("username").value="";
return false;
} 
return true; 
}

  

//注册验证
function RegChk()
{
var username=document.getElementById("username").value;
var userpassword=document.getElementById("userpassword").value;
var re_userpassword=document.getElementById("re_userpassword").value;
 
 if(username.length>2 || username.length<16){
  alert('用户名不符合规范【用户名最少2个字符，不得多于16个字符】!');
  return false;
 }
 
  if(userpassword.length>2 || userpassword.length<16){
 alert('登录密码不符合规范【用户名最少2个字符，不得多于16个字符】!');
  return false;
 }
 
  if(userpassword!=re_userpassword){
  alert('两次密码不一致!');
  return false;
 }
 
 return true;   
     
}

//去掉字符串前后所有空格： 
function Trim(str)
         { 
             return str.replace(/(^\s*)|(\s*$)/g, ""); 
     }

 